net.sf.okapi.common

## Class ParameterDescriptor

- java.lang.Object
- - net.sf.okapi.common.ParameterDescriptor

- All Implemented Interfaces:
    IParameterDescriptor

      public class ParameterDescriptor
      extends java.lang.Object
      implements IParameterDescriptor

  Default implementation of the `IParameterDescriptor` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterDescriptor(java.lang.String name, java.lang.Object parent, java.lang.String displayName, java.lang.String shortDescription)` Creates a new ParameterDescriptor object with a given name and type, associated with a given parent object, and with a given display name and short description.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisplayName()` Gets the localizable name of this parameter.
    `java.lang.String` | `getName()` Gets the programming name of this parameter.
    `java.lang.Object` | `getParent()` Gets the object where this parameter is instantiated.
    `java.lang.reflect.Method` | `getReadMethod()` Gets the method to obtain the current value of this parameter.
    `java.lang.String` | `getShortDescription()` Gets the short localizable description of this parameter.
    `java.lang.reflect.Type` | `getType()` Gets the type of this parameter.
    `java.lang.reflect.Method` | `getWriteMethod()` Gets the method to set a new value for this this parameter.
    `void` | `setDisplayName(java.lang.String displayName)` Sets the localizable name of this parameter.
    `void` | `setShortDescription(java.lang.String shortDescription)` Gets the short localizable description of this parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterDescriptor

          public ParameterDescriptor(java.lang.String name,
                                     java.lang.Object parent,
                                     java.lang.String displayName,
                                     java.lang.String shortDescription)

      Creates a new ParameterDescriptor object with a given name and type, associated with a given parent object, and with a given display name and short description.
      Parameters:
        `name` - the name of this parameter. The name must follow the JavaBean naming conventions.
        `parent` - the object where this parameter is instantiated (or null for container-only).
        `displayName` - the localizable name of this parameter.
        `shortDescription` - a short localizable description of this parameter.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `IParameterDescriptor`
      Gets the programming name of this parameter. the name must follow the JavaBean naming conventions. For example, a parameter accessible by `getMyText` and `setMyText` must be named `myText`
      Specified by:
        `getName` in interface `IParameterDescriptor`
      Returns:
        the programming name of this parameter.

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Description copied from interface: `IParameterDescriptor`
      Gets the localizable name of this parameter.
      Specified by:
        `getDisplayName` in interface `IParameterDescriptor`
      Returns:
        the localizable name of this parameter.

    - #### setDisplayName

          public void setDisplayName(java.lang.String displayName)

      Description copied from interface: `IParameterDescriptor`
      Sets the localizable name of this parameter.
      Specified by:
        `setDisplayName` in interface `IParameterDescriptor`
      Parameters:
        `displayName` - the new localizable name of this parameter.

    - #### getShortDescription

          public java.lang.String getShortDescription()

      Description copied from interface: `IParameterDescriptor`
      Gets the short localizable description of this parameter.
      Specified by:
        `getShortDescription` in interface `IParameterDescriptor`
      Returns:
        the short localizable description of this parameter.

    - #### setShortDescription

          public void setShortDescription(java.lang.String shortDescription)

      Description copied from interface: `IParameterDescriptor`
      Gets the short localizable description of this parameter.
      Specified by:
        `setShortDescription` in interface `IParameterDescriptor`
      Parameters:
        `shortDescription` - the new short localizable description of this parameter.

    - #### getType

          public java.lang.reflect.Type getType()

      Description copied from interface: `IParameterDescriptor`
      Gets the type of this parameter.
      Specified by:
        `getType` in interface `IParameterDescriptor`
      Returns:
        the type of this parameter.

    - #### getReadMethod

          public java.lang.reflect.Method getReadMethod()

      Description copied from interface: `IParameterDescriptor`
      Gets the method to obtain the current value of this parameter.
      Specified by:
        `getReadMethod` in interface `IParameterDescriptor`
      Returns:
        the method to get the current value of this parameter.

    - #### getWriteMethod

          public java.lang.reflect.Method getWriteMethod()

      Description copied from interface: `IParameterDescriptor`
      Gets the method to set a new value for this this parameter.
      Specified by:
        `getWriteMethod` in interface `IParameterDescriptor`
      Returns:
        the method to set a new value of this parameter.

    - #### getParent

          public java.lang.Object getParent()

      Description copied from interface: `IParameterDescriptor`
      Gets the object where this parameter is instantiated.
      Specified by:
        `getParent` in interface `IParameterDescriptor`
      Returns:
        the object where this parameter is instantiated.